import javax.swing.JFrame;

import com.jogamp.opengl.GL2;
import com.jogamp.opengl.GLAutoDrawable;
import com.jogamp.opengl.GLCapabilities;
import com.jogamp.opengl.GLEventListener;
import com.jogamp.opengl.GLProfile;
import com.jogamp.opengl.awt.GLCanvas;
import com.jogamp.opengl.glu.GLU;
import com.jogamp.opengl.util.FPSAnimator;
import com.jogamp.opengl.util.gl2.GLUT;


public class Rotation implements GLEventListener {   
public float rotation;   
  
   @Override   
public void display(GLAutoDrawable drawable ) {  
  
final GL2 gl = drawable.getGL().getGL2();   
gl.glClear (GL2.GL_COLOR_BUFFER_BIT |  GL2.GL_DEPTH_BUFFER_BIT );    
  
// Clear The Screen And The Depth Buffer   
gl.glLoadIdentity();  // Reset The View               
gl.glRotatef( rotation, 1.0f, 1.0f, 0.0f );    
rotation += 0.05f;    //Assign the angle

GLU glu = new GLU();
GLUT glut = new GLUT();
	    
/* viewing transformation */ 
glu.gluLookAt(0.0, 0.0, 5.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0);
gl.glScalef(1.0f, 2.0f, 1.0f); /* modeling transformation */
glut.glutWireCube(1.0f);
gl.glFlush();
  
   }   
      
   @Override   
public void dispose( GLAutoDrawable arg0 ) {   
      //method body   
   }   
  
   @Override   
public void init( GLAutoDrawable arg0 ) {   
      // method body   
   }  
  
   @Override   
public void reshape( GLAutoDrawable drawable, int x, int y, int w, int h ) {   

	 GL2 gl = drawable.getGL().getGL2();
	 gl.glMatrixMode(GL2.GL_PROJECTION); /* prepare for and then */
	 gl.glLoadIdentity(); /* define the projection */
	 gl.glFrustum(-1.0, 1.0, -1.0, 1.0, 1.5, 20.0); /* transformation */
	 gl.glMatrixMode(GL2.GL_MODELVIEW); /* back to modelview matrix */
	 gl.glViewport(0, 0, w, h); /* define the viewport */
   }  

public static void main( String[] args ) {  
          
final GLProfile gp  = GLProfile.get(GLProfile.GL2 );   
GLCapabilities cap  = new GLCapabilities(gp);  
  
final GLCanvas gc = new GLCanvas(cap);   
Rotation jr = new Rotation();   
gc.addGLEventListener(jr);   
gc.setSize( 400, 400 );    
  
final JFrame frame = new JFrame("JOGL Rotation");  
  
frame.add(gc);  
frame.setSize(500,400);  
frame.setVisible(true);   
  
final FPSAnimator animator = new FPSAnimator(gc, 400,true);   
animator.start();   
  
   }   
      
}
